org.eclipse.cdt.core.dom.ast.c

## Interface ICASTDesignatedInitializer

All Superinterfaces:
  IASTInitializer, IASTInitializerClause, IASTNode

    public interface ICASTDesignatedInitializer
    extends IASTInitializer, IASTInitializerClause

This interface represents a designated initializer, e.g. struct x y = { .z = 4, .t[1] = 3 };

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `DESIGNATOR`
`static ICASTDesignator[]` `EMPTY_DESIGNATOR_ARRAY`
`static ASTNodeProperty` `OPERAND`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTInitializer

`EMPTY_INITIALIZER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `addDesignator(ICASTDesignator designator)` Add a designator to this initializer.
`ICASTDesignatedInitializer` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICASTDesignatedInitializer` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`ICASTDesignator[]` `getDesignators()` Get all of the designators.
`IASTInitializerClause` `getOperand()` Returns the operand initializer.
`IASTInitializer` `getOperandInitializer()` Deprecated. Replaced by `getOperand()`;
`void` `setOperand(IASTInitializerClause operand)` Not allowed on frozen ast
`void` `setOperandInitializer(IASTInitializer rhs)` Deprecated. Replaced by setOperand();

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### EMPTY_DESIGNATOR_ARRAY

    static final ICASTDesignator[] EMPTY_DESIGNATOR_ARRAY

#### DESIGNATOR

    static final ASTNodeProperty DESIGNATOR

#### OPERAND

    static final ASTNodeProperty OPERAND

### Method Detail

#### addDesignator

    void addDesignator(ICASTDesignator designator)

Add a designator to this initializer.

#### getDesignators

    ICASTDesignator[] getDesignators()

Get all of the designators.

#### getOperand

    IASTInitializerClause getOperand()

Returns the operand initializer.

Since:
  5.2

#### setOperand

    void setOperand(IASTInitializerClause operand)

Not allowed on frozen ast

Since:
  5.2

#### copy

    ICASTDesignatedInitializer copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTInitializer`
Specified by:
  `copy` in interface `IASTInitializerClause`
Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

#### copy

    ICASTDesignatedInitializer copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTInitializer`
Specified by:
  `copy` in interface `IASTInitializerClause`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3

#### getOperandInitializer

    @Deprecated
    IASTInitializer getOperandInitializer()

Deprecated. Replaced by `getOperand()`;

Restriction:
  This method is not intended to be referenced by clients.

#### setOperandInitializer

    @Deprecated
    void setOperandInitializer(IASTInitializer rhs)

Deprecated. Replaced by setOperand();

Restriction:
  This method is not intended to be referenced by clients.